NullSid Class Reference

`#include <NullSid.h>`

Inheritance diagram for NullSid:

## Public Member Functions

void | reset (uint8_t)
void | poke (uint_least16_t address SID_UNUSED, uint8_t value SID_UNUSED)
uint8_t | peek (uint_least16_t address SID_UNUSED)

## Static Public Member Functions

static NullSid * | getInstance ()
| Returns singleton instance.

## Detailed Description

SID chip placeholder which does nothing and returns 0xff on reading.

## Member Function Documentation

uint8_t NullSid::peek | ( | uint_least16_t address | address | ) |

inline virtual

Bank read. You probably should override this method, except if the Bank is only used in write context.

Parameters

  address | value to read from

Returns
  value at address

Implements c64sid.

void NullSid::poke | ( | uint_least16_t address | address,
|  | uint8_t value | value
| ) |  |

inline virtual

Bank write.

Override this method if you expect write operations on your bank. Leave unimplemented if it's logically/operationally impossible for writes to ever arrive to bank.

Parameters

  address | address to write to
  value | value to write

Implements c64sid.

The documentation for this class was generated from the following file:

- NullSid.h